KJS::Lookup class Reference (kjs Library)

| # kjs Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KJS::Lookup Class Reference

Fast keyword lookup. More...

`#include <lookup.h>`

List of all members.

## Static Public Member Functions
int | find (const struct HashTable *table, const UString &s)
| Find an entry in the table, and return its value (i.e.
int | find (const struct HashTable *table, const UChar *c, unsigned int len)
const HashEntry * | findEntry (const struct HashTable *table, const UString &s)
| Find an entry in the table, and return the entry This variant gives access to the other attributes of the entry, especially the attr field.
const HashEntry * | findEntry (const struct HashTable *table, const UChar *c, unsigned int len)
unsigned int | hash (const UString &key)
| Calculate the hash value for a given key.
unsigned int | hash (const UChar *c, unsigned int len)
unsigned int | hash (const char *s)

## Detailed Description

Fast keyword lookup.

Definition at line 97 of file lookup.h.

## Member Function Documentation

int Lookup::find | ( | const struct HashTable * | table,
|  | const UString & | s
| ) | `[static]`

| Find an entry in the table, and return its value (i.e. the value field of HashEntry) Definition at line 89 of file lookup.cpp. References KJS::UString::data(), and KJS::UString::size().

const HashEntry * Lookup::findEntry | ( | const struct HashTable * | table,
|  | const UString & | s
| ) | `[static]`

| Find an entry in the table, and return the entry This variant gives access to the other attributes of the entry, especially the attr field. Definition at line 74 of file lookup.cpp. References KJS::UString::data(), and KJS::UString::size().

unsigned int Lookup::hash | ( | const UString & | key | ) | `[static]`

| Calculate the hash value for a given key. Definition at line 104 of file lookup.cpp. References KStdAccel::key().

The documentation for this class was generated from the following files:

- lookup.h
- lookup.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:09:05 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001